%define srcname SiriKali

%bcond_with  bundle_lxqtwallet

Name:           sirikali
Version:        1.6.0
Release:        %mkrel 3
Summary:        GUI front end to encfs,cryfs,gocryptfs and securefs
# generally GPLv2+, BSD for tasks and NetworkAccessManager folders
License:        GPLv2+ and BSD
Group:          Security
URL:            https://mhogomchungu.github.io/sirikali
Source0:        https://github.com/mhogomchungu/%{name}/releases/download/%{version}/%{srcname}-%{version}.tar.xz
Patch0:         sirikali-fix-kf6.patch

BuildRequires:  cmake
BuildRequires:  libgcrypt-devel
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(pwquality)
%if %{with bundle_lxqtwallet}
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6Notifications)
Provides:       bundled(lxqt-wallet) = 3.2.0
%else
BuildRequires:  pkgconfig(lxqt-wallet) >= 4.0.0
%endif

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)

Recommends:     cryfs
Recommends:     encfs

%description
SiriKali is a Qt/C++ GUI front end to encfs, cryfs, gocryptfs
and securefs.


%prep
%autosetup -p1 -n %{srcname}-%{version}

# collect licenses
cp -p src/3rdParty/tasks/LICENSE LICENSE-tasks

# unbundle
%if ! %{with bundle_lxqtwallet}
rm -rv src/3rdParty/lxqt_wallet
%endif

%build
%cmake \
%if %{with bundle_lxqtwallet}
       -DINTERNAL_LXQT_WALLET=true \
%else
       -DINTERNAL_LXQT_WALLET=false \
%endif
       -DBUILD_WITH_QT6=true

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt --all-name

%files -f %{name}.lang
%doc README.md ABOUT* changelog
%license COPYRIGHT LICENSE* GPLv*
%{_bindir}/%{name}*
%{_datadir}/applications/io.github.mhogomchungu.%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/polkit-1/actions/*.policy
%{_metainfodir}/*.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_mandir}/man1/%{name}*.1*


%changelog
* Sun Oct 27 2024 daviddavid <daviddavid> 1.6.0-3.mga10
+ Revision: 2111359
- use system lxqt-wallet now ported to Qt6

* Mon Sep 02 2024 daviddavid <daviddavid> 1.6.0-2.mga10
+ Revision: 2092642
- switch to Qt6
- use bundled lxqt-wallet ported to Qt6 (our system pkg is not yet ported to Qt6)
- make Url clickable

* Thu May 23 2024 daviddavid <daviddavid> 1.6.0-1.mga10
+ Revision: 2066265
- new version: 1.6.0

* Mon Aug 28 2023 daviddavid <daviddavid> 1.5.1-1.mga10
+ Revision: 1980395
- new version: 1.5.1

* Mon Aug 22 2022 papoteur <papoteur> 1.5.0-1.mga9
+ Revision: 1879122
- new 1.5.0

* Wed Apr 06 2022 umeabot <umeabot> 1.4.8-4.mga9
+ Revision: 1845907
- Mageia 9 Mass Rebuild

* Mon Apr 12 2021 daviddavid <daviddavid> 1.4.8-3.mga9
+ Revision: 1714919
- rebuild for new lxqt-wallet 3.2.2

* Thu Dec 17 2020 umeabot <umeabot> 1.4.8-2.mga8
+ Revision: 1659855
- Rebuild for new Qt5

* Wed Dec 02 2020 daviddavid <daviddavid> 1.4.8-1.mga8
+ Revision: 1651519
- new version: 1.4.8

* Wed Oct 21 2020 daviddavid <daviddavid> 1.4.7-1.mga8
+ Revision: 1637478
- new version: 1.4.7

* Tue Aug 04 2020 daviddavid <daviddavid> 1.4.6-1.mga8
+ Revision: 1610870
- new version: 1.4.6

* Sun Aug 02 2020 daviddavid <daviddavid> 1.4.5-1.mga8
+ Revision: 1610531
- new version: 1.4.5

* Tue Jun 02 2020 daviddavid <daviddavid> 1.4.4-1.mga8
+ Revision: 1589630
- new version: 1.4.4

* Wed Apr 01 2020 daviddavid <daviddavid> 1.4.3-1.mga8
+ Revision: 1563513
- new version: 1.4.3

* Tue Feb 18 2020 umeabot <umeabot> 1.4.2-2.mga8
+ Revision: 1540932
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Dec 18 2019 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1468745
- new version: 1.4.2

* Wed Oct 16 2019 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1454032
- new version: 1.4.1

* Wed Oct 02 2019 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1448739
- new version: 1.4.0

* Thu Aug 01 2019 daviddavid <daviddavid> 1.3.9-1.mga8
+ Revision: 1426711
- new version: 1.3.9

* Wed May 01 2019 daviddavid <daviddavid> 1.3.8-1.mga7
+ Revision: 1396089
- new version: 1.3.8

* Tue Apr 02 2019 umeabot <umeabot> 1.3.7-2.mga7
+ Revision: 1384840
- Qt5 Rebuild

* Sat Feb 09 2019 daviddavid <daviddavid> 1.3.7-1.mga7
+ Revision: 1364476
- new version: 1.3.7

* Mon Oct 01 2018 daviddavid <daviddavid> 1.3.6-1.mga7
+ Revision: 1313979
- new version: 1.3.6

* Sun Sep 23 2018 umeabot <umeabot> 1.3.5-2.mga7
+ Revision: 1301050
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 daviddavid <daviddavid> 1.3.5-1.mga7
+ Revision: 1246984
- new version: 1.3.5

* Sun May 27 2018 daviddavid <daviddavid> 1.3.4-1.mga7
+ Revision: 1232375
- initial package sirikali

